<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
    <h1>Practice form</h1>

    <form id="form1">
        num1: <input type="number" name="n1"><br>
        num2: <input type="number" name="n2"><br>
        <!-- <button onclick="f1()" id="form1-submit">Add</button> -->
        <input type="submit">
    </form>

    <script>
        document.getElementById("form1").addEventListener("submit", (e) =>{
            e.preventDefault();
            console.log(e)
            n1 = document.forms[0].n1.value;
            n2 = document.forms[0].n2.value;
            console.log(n1 + n2)
        });

    </script>
</body>
</html>